package ink.wgink.module.wps.pojo.dtos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: WpsFileInfoDTO
 * @Description: WPS文件类型
 * @Author: wanggeng
 * @Date: 2022/6/22 09:24
 * @Version: 1.0
 */
@ApiModel
public class WpsFileInfoDTO {

    private File file;
    private User user;

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        this.file = file;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public static class File {
        @ApiModelProperty(name = "id", value = "文件id，字符串长度小于40，和 URL 中的fileid必须一致(https://wwo.wps.cn/office/<:type>/<:fileid>?_w_appid=xxx) (必填)")
        private String id;
        @ApiModelProperty(name = "name", value = "文件名(必须带文件后缀) (必填)")
        private String name;
        @ApiModelProperty(name = "version", value = "当前版本号，必须大于 0，同时位数小于 11 (必填)")
        private Integer version;
        @ApiModelProperty(name = "size", value = "文件大小，单位为B(文件真实大小，否则会出现异常) (必填)")
        private Long size;
        @ApiModelProperty(name = "creator", value = "创建者id，字符串长度小于40 (必填)")
        private String creator;
        @ApiModelProperty(name = "create_time", value = "创建时间，时间戳，单位为秒 (必填)")
        private Long create_time;
        @ApiModelProperty(name = "modifier", value = "修改者id，字符串长度小于40 (必填)")
        private String modifier;
        @ApiModelProperty(name = "modify_time", value = "修改时间，时间戳，单位为秒 (必填)")
        private Long modify_time;
        @ApiModelProperty(name = "download_url", value = "文档下载地址 (必填)")
        private String download_url;
        @ApiModelProperty(name = "preview_pages", value = "限制预览页数 (非必填，不超过5000)")
        private Integer preview_pages;
        @ApiModelProperty(name = "user_acl", value = "文档功能")
        private UserAcl user_acl;
        @ApiModelProperty(name = "watermark", value = "水印")
        private Watermark watermark;

        public String getId() {
            return id == null ? "" : id.trim();
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name == null ? "" : name.trim();
        }

        public void setName(String name) {
            this.name = name;
        }

        public Integer getVersion() {
            return version == null ? 0 : version;
        }

        public void setVersion(Integer version) {
            this.version = version;
        }

        public Long getSize() {
            return size == null ? 0 : size;
        }

        public void setSize(Long size) {
            this.size = size;
        }

        public String getCreator() {
            return creator == null ? "" : creator.trim();
        }

        public void setCreator(String creator) {
            this.creator = creator;
        }

        public Long getCreate_time() {
            return create_time == null ? 0 : create_time;
        }

        public void setCreate_time(Long create_time) {
            this.create_time = create_time;
        }

        public String getModifier() {
            return modifier == null ? "" : modifier.trim();
        }

        public void setModifier(String modifier) {
            this.modifier = modifier;
        }

        public Long getModify_time() {
            return modify_time == null ? 0 : modify_time;
        }

        public void setModify_time(Long modify_time) {
            this.modify_time = modify_time;
        }

        public String getDownload_url() {
            return download_url == null ? "" : download_url.trim();
        }

        public void setDownload_url(String download_url) {
            this.download_url = download_url;
        }

        public Integer getPreview_pages() {
            return preview_pages == null ? 0 : preview_pages;
        }

        public void setPreview_pages(Integer preview_pages) {
            this.preview_pages = preview_pages;
        }

        public UserAcl getUser_acl() {
            return user_acl;
        }

        public void setUser_acl(UserAcl user_acl) {
            this.user_acl = user_acl;
        }

        public Watermark getWatermark() {
            return watermark;
        }

        public void setWatermark(Watermark watermark) {
            this.watermark = watermark;
        }
    }

    @ApiModel
    public static class UserAcl {
        @ApiModelProperty(name = "rename", value = "重命名权限，1为打开该权限，0为关闭该权限，默认为0")
        private Integer rename;
        @ApiModelProperty(name = "history", value = "历史版本权限，1为打开该权限，0为关闭该权限,默认为1")
        private Integer history;
        @ApiModelProperty(name = "copy", value = "复制")
        private Integer copy;
        @ApiModelProperty(name = "export", value = "导出PDF")
        private Integer export;
        @ApiModelProperty(name = "print", value = "打印")
        private Integer print;

        public Integer getRename() {
            return rename == null ? 0 : rename;
        }

        public void setRename(Integer rename) {
            this.rename = rename;
        }

        public Integer getHistory() {
            return history == null ? 0 : history;
        }

        public void setHistory(Integer history) {
            this.history = history;
        }

        public Integer getCopy() {
            return copy == null ? 0 : copy;
        }

        public void setCopy(Integer copy) {
            this.copy = copy;
        }

        public Integer getExport() {
            return export == null ? 0 : export;
        }

        public void setExport(Integer export) {
            this.export = export;
        }

        public Integer getPrint() {
            return print == null ? 0 : print;
        }

        public void setPrint(Integer print) {
            this.print = print;
        }
    }

    @ApiModel
    public static class Watermark {
        @ApiModelProperty(name = "type", value = "水印类型， 0为无水印； 1为文字水印")
        private Integer type;
        @ApiModelProperty(name = "value", value = "文字水印的文字，当type为1时，此字段必填")
        private String value;
        @ApiModelProperty(name = "fillstyle", value = "水印的透明度，非必填，有默认值")
        private String fillstyle;
        @ApiModelProperty(name = "font", value = "水印的字体，非必填，有默认值")
        private String font;
        @ApiModelProperty(name = "rotate", value = "水印的旋转度，非必填，有默认值")
        private Float rotate;
        @ApiModelProperty(name = "horizontal", value = "水印水平间距，非必填，有默认值")
        private Integer horizontal;
        @ApiModelProperty(name = "vertical", value = "水印垂直间距，非必填，有默认值")
        private Integer vertical;

        public Integer getType() {
            return type == null ? 1 : type;
        }

        public void setType(Integer type) {
            this.type = type;
        }

        public String getValue() {
            return value == null ? "禁止传阅" : value.trim();
        }

        public void setValue(String value) {
            this.value = value;
        }

        public String getFillstyle() {
            return fillstyle == null ? "rgba( 192, 192, 192, 0.6 )" : fillstyle.trim();
        }

        public void setFillstyle(String fillstyle) {
            this.fillstyle = fillstyle;
        }

        public String getFont() {
            return font == null ? "bold 20px Serif" : font.trim();
        }

        public void setFont(String font) {
            this.font = font;
        }

        public Float getRotate() {
            return rotate == null ? -0.7853982F : rotate;
        }

        public void setRotate(Float rotate) {
            this.rotate = rotate;
        }

        public Integer getHorizontal() {
            return horizontal == null ? 50 : horizontal;
        }

        public void setHorizontal(Integer horizontal) {
            this.horizontal = horizontal;
        }

        public Integer getVertical() {
            return vertical == null ? 100 : vertical;
        }

        public void setVertical(Integer vertical) {
            this.vertical = vertical;
        }
    }

    @ApiModel
    public static class User {
        @ApiModelProperty(name = "id", value = "用户id（用户名），长度小于32 (必填)")
        private String id;
        @ApiModelProperty(name = "name", value = "用户名称 (必填)")
        private String name;
        @ApiModelProperty(name = "permission", value = "用户操作权限，write：可编辑，read：预览 (必填)")
        private String permission;
        @ApiModelProperty(name = "avatar_url", value = "用户头像地址 (非必填)")
        private String avatar_url;

        public String getId() {
            return id == null ? "" : id.trim();
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name == null ? "" : name.trim();
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getPermission() {
            return permission == null ? "" : permission.trim();
        }

        public void setPermission(String permission) {
            this.permission = permission;
        }

        public String getAvatar_url() {
            return avatar_url == null ? "" : avatar_url.trim();
        }

        public void setAvatar_url(String avatar_url) {
            this.avatar_url = avatar_url;
        }
    }


}
