package ink.wgink.module.wps.pojo.dtos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: WpsSaveFileDTO
 * @Description: wps保存文件
 * @Author: wanggeng
 * @Date: 2022/6/22 17:49
 * @Version: 1.0
 */
@ApiModel
public class WpsSaveFileInfoDTO {

    @ApiModelProperty(name = "file", value = "文件")
    private File file;

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        this.file = file;
    }

    public static class File {
        @ApiModelProperty(name = "id", value = "文件id，字符串长度小于40，和 URL 中的fileid必须一致(https://wwo.wps.cn/office/<:type>/<:fileid>?_w_appid=xxx) (必填)")
        private String id;
        @ApiModelProperty(name = "name", value = "文件名(必须带文件后缀) (必填)")
        private String name;
        @ApiModelProperty(name = "version", value = "当前版本号，必须大于 0，同时位数小于 11 (必填)")
        private Integer version;
        @ApiModelProperty(name = "size", value = "文件大小，单位为B(文件真实大小，否则会出现异常) (必填)")
        private Long size;
        @ApiModelProperty(name = "download_url", value = "文档下载地址 (必填)")
        private String download_url;

        public String getId() {
            return id == null ? "" : id.trim();
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name == null ? "" : name.trim();
        }

        public void setName(String name) {
            this.name = name;
        }

        public Integer getVersion() {
            return version == null ? 0 : version;
        }

        public void setVersion(Integer version) {
            this.version = version;
        }

        public Long getSize() {
            return size == null ? 0 : size;
        }

        public void setSize(Long size) {
            this.size = size;
        }

        public String getDownload_url() {
            return download_url == null ? "" : download_url.trim();
        }

        public void setDownload_url(String download_url) {
            this.download_url = download_url;
        }
    }

}
