package ink.wgink.module.wps.service;

import ink.wgink.module.wps.enums.WpsPermissionEnum;
import ink.wgink.module.wps.pojo.bos.WpsTokenBO;
import ink.wgink.module.wps.pojo.dtos.WpsFileInfoDTO;
import ink.wgink.module.wps.pojo.dtos.WpsSaveFileInfoDTO;
import org.springframework.http.ResponseEntity;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.io.UnsupportedEncodingException;

/**
 * @ClassName: IWpsService
 * @Description: wps业务
 * @Author: wanggeng
 * @Date: 2022/6/21 21:46
 * @Version: 1.0
 */
public interface IWpsService {

    /**
     * token
     *
     * @param wpsPermissionEnum
     * @param fileId
     * @return
     * @throws UnsupportedEncodingException
     */
    WpsTokenBO getToken(WpsPermissionEnum wpsPermissionEnum, String fileId) throws UnsupportedEncodingException;

    /**
     * 保存文件
     *
     * @param wpsToken
     * @param fileId
     * @param file
     * @return
     */
    WpsSaveFileInfoDTO save(String wpsToken, String fileId, MultipartFile file);


    /**
     * 文件详情
     *
     * @param wpsToken
     * @param fileId
     * @return
     */
    WpsFileInfoDTO getFileInfo(String wpsToken, String fileId);

    /**
     * 下载文件
     *
     * @param fileId
     * @return
     */
    ResponseEntity<byte[]> download(String fileId) throws IOException;


}
